import TabScriptService from "./application/TabScriptService";
import ChromeBackgroundService from "./_infra/ChromeBackgroundMessageService";
import FirefoxBackgroundMessageService from "./_infra/FirefoxBackgroundMessageService";
import FirefoxExtensionCommunicationService from "./_infra/FirefoxExtensionCommunicationService";
import HandlerOfMessageSentByBackground from "./_ui/HandlerOfMessageSentByBackground";
import ViewManager from "./_ui/ViewManager";

console.log("AIFEX script is running.")

const backgroundService = new FirefoxBackgroundMessageService();
const tabScriptService = new TabScriptService(backgroundService);
const viewManager = new ViewManager(tabScriptService);
tabScriptService.linkToViewManager(viewManager);
const handler = new HandlerOfMessageSentByBackground(tabScriptService, new FirefoxExtensionCommunicationService());
tabScriptService.synchronizeWithBackground();


    
    
//    eventListener.addNewActionCallback(() => styleApplication.onActionPushed);
